Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Interface DescriptionConstants

All Known Implementing Classes:
  AxisBinding, AxisBindingMessage, AxisBindingOperation, AxisConfiguration, AxisDescription, AxisEndpoint, AxisMessage, AxisOperation, AxisService, AxisServiceGroup, InOnlyAxisOperation, InOutAxisOperation, OutInAxisOperation, OutOnlyAxisOperation, RobustOutOnlyAxisOperation, TwoChannelAxisOperation

    public interface DescriptionConstants

Field Summary
`static String` | `CLASSLOADER_KEY` Field CLASSLOADER_KEY
`static String` | `CONTEXTPATH_KEY` Field CONTEXTPATH_KEY
`static String` | `EXECUTION_CHAIN_KEY` Field EXECUTION_CHAIN_KEY
`static String` | `EXECUTION_FAULT_CHAIN_KEY` Field EXECUTION_FAULT_CHAIN_KEY
`static String` | `EXECUTION_OUT_CHAIN_KEY` Field EXECUTION_OUT_CHAIN_KEY
`static String` | `IN_FAULTFLOW_KEY` Field IN_FAULTFLOW_KEY
`static String` | `INFLOW_KEY` Field INFLOW_KEY
`static String` | `MESSAGE_RECEIVER_KEY` Field MESSAGE_RECEIVER_KEY
`static String` | `MODULEREF_KEY` Field MODULEREF_KEY
`static String` | `OPERATION_KEY` Field OPERATION_KEY
`static String` | `OUT_FAULTFLOW_KEY`
`static String` | `OUTFLOW_KEY` Field OUTFLOW_KEY
`static String` | `PARAMETER_KEY` Field PARAMETER_KEY
`static String` | `PHASES_KEY` Field PHASES_KEY
`static String` | `SERVICE_CLASS_NAME` Field SERVICE_CLASS_NAME
`static String` | `STYLE_KEY` Field STYLE_KEY

Field Detail

### EXECUTION_CHAIN_KEY

    static final String EXECUTION_CHAIN_KEY

  Field EXECUTION_CHAIN_KEY

  See Also:
    Constant Field Values

### EXECUTION_OUT_CHAIN_KEY

    static final String EXECUTION_OUT_CHAIN_KEY

  Field EXECUTION_OUT_CHAIN_KEY

  See Also:
    Constant Field Values

### EXECUTION_FAULT_CHAIN_KEY

    static final String EXECUTION_FAULT_CHAIN_KEY

  Field EXECUTION_FAULT_CHAIN_KEY

  See Also:
    Constant Field Values

### MODULEREF_KEY

    static final String MODULEREF_KEY

  Field MODULEREF_KEY

  See Also:
    Constant Field Values

### OPERATION_KEY

    static final String OPERATION_KEY

  Field OPERATION_KEY

  See Also:
    Constant Field Values

### MESSAGE_RECEIVER_KEY

    static final String MESSAGE_RECEIVER_KEY

  Field MESSAGE_RECEIVER_KEY

  See Also:
    Constant Field Values

### CONTEXTPATH_KEY

    static final String CONTEXTPATH_KEY

  Field CONTEXTPATH_KEY

  See Also:
    Constant Field Values

### CLASSLOADER_KEY

    static final String CLASSLOADER_KEY

  Field CLASSLOADER_KEY

  See Also:
    Constant Field Values

### STYLE_KEY

    static final String STYLE_KEY

  Field STYLE_KEY

  See Also:
    Constant Field Values

### SERVICE_CLASS_NAME

    static final String SERVICE_CLASS_NAME

  Field SERVICE_CLASS_NAME

  See Also:
    Constant Field Values

### PHASES_KEY

    static final String PHASES_KEY

  Field PHASES_KEY

  See Also:
    Constant Field Values

### PARAMETER_KEY

    static final String PARAMETER_KEY

  Field PARAMETER_KEY

  See Also:
    Constant Field Values

### OUT_FAULTFLOW_KEY

    static final String OUT_FAULTFLOW_KEY

See Also:
  Constant Field Values

### OUTFLOW_KEY

    static final String OUTFLOW_KEY

  Field OUTFLOW_KEY

  See Also:
    Constant Field Values

### IN_FAULTFLOW_KEY

    static final String IN_FAULTFLOW_KEY

  Field IN_FAULTFLOW_KEY

  See Also:
    Constant Field Values

### INFLOW_KEY

    static final String INFLOW_KEY

  Field INFLOW_KEY

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.